# $Revision: 1.10 $, $Date: 2006/12/08 01:05:53 $
Summary:	Byte Code Engineering Library
Summary(pl):	Biblioteka do obrbki bajtkodu Javy
Name:		jakarta-bcel
Version:	5.1
Release:	2
License:	Apache Software License
Group:		Development/Languages/Java
# a lot of junk (all other formats) inside -src.tar.gz, use -src.zip
Source0:	http://www.apache.org/dist/jakarta/bcel/source/bcel-%{version}-src.zip
# Source0-md5:	23767d4e735543c25b950ab86c8f56b1
Patch0:		%{name}-build.patch
Patch1:		%{name}-manifest.patch
Patch2:		%{name}-jdk15.patch
URL:		http://jakarta.apache.org/bcel/
BuildRequires:	ant
BuildRequires:	jakarta-regexp
BuildRequires:	jpackage-utils
BuildRequires:	rpmbuild(macros) >= 1.300
BuildRequires:	unzip
Requires:	jakarta-regexp
Provides:	bcel
BuildArch:	noarch
ExclusiveArch:	i586 i686 pentium3 pentium4 athlon %{x8664} noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Byte Code Engineering Library (formerly known as JavaClass) is
intended to give users a convenient possibility to analyze, create,
and manipulate (binary) Java class files (those ending with .class).
Classes are represented by objects which contain all the symbolic
information of the given class: methods, fields and byte code
instructions, in particular. Such objects can be read from an existing
file, be transformed by a program (e.g. a class loader at run-time)
and dumped to a file again. An even more interesting application is
the creation of classes from scratch at run-time. The Byte Code
Engineering Library (BCEL) may be also useful if you want to learn
about the Java Virtual Machine (JVM) and the format of Java .class
files. BCEL is already being used successfully in several projects
such as compilers, optimizers, obsfuscators and analysis tools, the
most popular probably being the Xalan XSLT processor at Apache.

%description -l pl
BCEL (Byte Code Engineering Library, poprzednio znana jako JavaClass)
ma umoliwi wygodne analizowanie, tworzenie i obrbk (binarnych)
plikw klas Javy (tych z nazw koczc si na .class). Klasy s
reprezentowane przez obiekty zawierajce wszystkie symboliczne
informacje o danej klasie, w szczeglnoci metody, pola i instrukcje
bajtkodu. Obiekty te mog by odczytywane z istniejcego pliku,
przeksztacane przez program (np. wczytujcy klasy w czasie dziaania)
i zrzucane z powrotem do pliku. Jeszcze ciekawszym zastosowaniem jest
tworzenie klas od zera w czasie dziaania programu. Biblioteka BCEL
moe by take uyteczna, jeli chcemy nauczy si czego o maszynie
wirtualnej Javy (JVM) oraz formacie plikw .class. BCEL jest uywana z
sukcesem w rnych projektach, takich jak kompilatory, optymalizatory,
narzdzia utrudniajce analiz oraz narzdzia do analizy, z ktrych
najpopularniejszym jest procesor XSLT Xalan.

%package javadoc
Summary:	Byte Code Engineering Library documentation
Summary(pl):	Dokumentacja do biblioteki do obrbki bajtkodu Javy
Group:		Documentation
Requires:	jpackage-utils
Obsoletes:	jakarta-bcel-doc

%description javadoc
Byte Code Engineering Library documentation.

%description javadoc -l pl
Dokumentacja do biblioteki do obrbki bajtkodu Javy.

%prep
%setup -q -n bcel-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
find . -name "*.jar" -exec rm -f {} \;

%build

export CLASSPATH="`build-classpath regexp`"
export JAVA_HOME="%{java_home}"

%ant jar apidocs

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_javadir},%{_javadocdir}/%{name}-%{version}}

cp -p bin/bcel.jar $RPM_BUILD_ROOT%{_javadir}/bcel-%{version}.jar
ln -sf bcel-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/bcel.jar

cp -R docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE.txt
%{_javadir}/*.jar

%files javadoc
%defattr(644,root,root,755)
%doc %{_javadocdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)

%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: jakarta-bcel.spec,v $
Revision 1.10  2006/12/08 01:05:53  glen
- -javadoc R: jpackage-utils for parent dirs; rel 2

Revision 1.9  2006/05/24 10:39:41  qboosh
- Obsoletes for jakarta-bcel-doc

Revision 1.8  2006/05/24 10:36:50  jajcus
- BR: jpackage-utils, rpmbuild(macros) >= 1.300
- P: bcel
- ExclusiveArch for builders with JDK
- API docs installed in %{_javadocdir} and packaged into -javadoc subpackage

Revision 1.7  2006/05/19 11:28:19  jajcus
- s/jakarta-ant/ant/ in BR

Revision 1.6  2005/05/07 13:13:11  qboosh
- updated Source0 URL (but use .zip as current .tar.gz contains a lot of junk)
- added jdk15 patch needed to build using jdk 1.5
- pl unifications

Revision 1.5  2004/07/15 11:58:54  pluto
- use %{_javadir}.
- release 1.

Revision 1.4  2003/08/11 22:46:31  ankry
- cosmetics

Revision 1.3  2003/07/03 22:25:11  qboosh
- separated -doc (over 20 times larger than base package)

Revision 1.2  2003/07/03 18:56:59  qboosh
- pl

Revision 1.1  2003/07/02 11:33:26  pascalek
- initial release
